Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Class GetEffectivePogoPropertySite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.GetEffectivePogoPropertySite

    class GetEffectivePogoPropertySite
    extends AbstractCallSite

Created by IntelliJ IDEA. User: applerestore Date: May 21, 2008 Time: 10:37:37 AM To change this template use File | Settings | File Templates.

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`GetEffectivePogoPropertySite(CallSite site, MetaClass metaClass, MetaProperty effective)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`CallSite` | `acceptGroovyObjectGetProperty(Object receiver)`
`Object` | `callGetProperty(Object receiver)`
`Object` | `callGroovyObjectGetProperty(Object receiver)`
`Object` | `getProperty(Object receiver)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GetEffectivePogoPropertySite

    public GetEffectivePogoPropertySite(CallSite site, MetaClass metaClass, MetaProperty effective)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

### acceptGroovyObjectGetProperty

    public final CallSite acceptGroovyObjectGetProperty(Object receiver)

### callGetProperty

    public final Object callGetProperty(Object receiver)

### callGroovyObjectGetProperty

    public final Object callGroovyObjectGetProperty(Object receiver)

### getProperty

    public final Object getProperty(Object receiver)

Copyright © 2003-2009 The Codehaus. All rights reserved.